AceTime 3.0.0 Date and time classes for Arduino that support timezones from the TZ Database.

Classes | Static Public Member Functions | List of all members
ace_time::ZoneInfoHigh Class Reference

Wrapper class so that the entire collection can be referenced as a singel template parameter. More...

`#include <ZoneInfoHigh.h>`

## Classes
struct | ZoneContext
| Metadata about the zone database. More...
class | ZoneContextBroker
| Data broker for accessing a ZoneContext. More...
struct | ZoneEra
| An entry in ZoneInfo which describes which ZonePolicy was being followed during a particular time period. More...
class | ZoneEraBroker
| Data broker for accessing ZoneEra. More...
struct | ZoneInfo
| Representation of a given time zone, implemented as an array of ZoneEra records. More...
class | ZoneInfoBroker
| Data broker for accessing ZoneInfo. More...
class | ZoneInfoStore
| A storage object that creates an ZoneInfoBroker from a key that identifies the ZoneInfo. More...
struct | ZonePolicy
| A collection of transition rules which describe the DST rules of a given administrative region. More...
class | ZonePolicyBroker
| Data broker for accessing ZonePolicy. More...
class | ZoneRegistryBroker
| Data broker for accessing the ZoneRegistry. More...
struct | ZoneRule
| A time zone transition rule. More...
class | ZoneRuleBroker
| Data broker for accessing ZoneRule. More...

## Static Public Member Functions
static int32_t | toDeltaSeconds (uint8_t deltaMinutes)
| Convert the deltaMinutes holding the RULES/DSTOFF field in ZoneEra or the SAVE field in ZoneRule to delta offset in seconds.
static int32_t | toOffsetSeconds (uint16_t offsetCode, uint8_t offsetRemainder)
| Convert (code, remainder) holding the STDOFF field of ZoneEra into seconds.
static uint32_t | timeCodeToSeconds (uint16_t code, uint8_t modifier)
| Convert (code, modifier) holding the UNTIL time in ZoneInfo or AT time in ZoneRule into seconds. More...
static uint8_t | toSuffix (uint8_t modifier)
| Extract the 'w', 's' 'u' suffix from the 'modifier' field, so that they can be compared against kSuffixW, kSuffixS and kSuffixU. More...

## Detailed Description

Wrapper class so that the entire collection can be referenced as a singel template parameter.

Definition at line 42 of file ZoneInfoHigh.h.

## Member Function Documentation

## ◆ timeCodeToSeconds()

static uint32_t ace_time::ZoneInfoHigh::timeCodeToSeconds | ( | uint16_t | code,
|  | uint8_t | modifier
| ) |  |
| inline static

Convert (code, modifier) holding the UNTIL time in ZoneInfo or AT time in ZoneRule into seconds.

The `code` parameter holds the AT or UNTIL time in units of 15 seconds. The lower 4-bits of `modifier` holds the remainder seconds.

Definition at line 370 of file ZoneInfoHigh.h.

## ◆ toSuffix()

static uint8_t ace_time::ZoneInfoHigh::toSuffix | ( | uint8_t | modifier | ) |
| inline static

Extract the 'w', 's' 'u' suffix from the 'modifier' field, so that they can be compared against kSuffixW, kSuffixS and kSuffixU.

Used for Zone.UNTIL and Rule.AT fields.

Definition at line 379 of file ZoneInfoHigh.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTimeSuite/libraries/AceTimeLib/src/zoneinfo/ZoneInfoHigh.h